import prisma from "../configs/prismaClient.js"

class agendamentoSalaRepository {

    static async findAll(filtros) {
        return await prisma.agendamento_eventual.findMany(filtros);
    }

    static async create(data) {
        return await prisma.agendamento_eventual.create(data);
    }
    
    static async delete(id) {
        return await prisma.agendamento_eventual.delete({where: {id_reserva: id}});
    }

    static async existAgendamento(id){
        return await prisma.agendamento_eventual.findUnique({where: {id_reserva: id}})
    }
}

export default agendamentoSalaRepository;