import prisma from "../configs/prismaClient.js"

class docenteRepository{
    async findAll(filtros){
        return await prisma.docente.findMany(filtros);
    }

    async findById(id){
        return await prisma.docente.findUnique(id);
    }

    async create(data){
        return await prisma.docente.create(data);
    }

    async update(id, data){
        return await prisma.docente.update({where: {n_siape: id}, data: data});
    }

    async delete(id){
        return await prisma.docente.delete({where: {n_siape: id}});
    }

    async docenteExist(email){
        return await prisma.docente.findFirst(email);
    }

    async existDocente(id){
        return await prisma.docente.findUnique({where: {n_siape: id}})
    }
}

export default new docenteRepository();