import prisma from "../configs/prismaClient.js";

class ensalamentoRepository{

    async findAll(filtros){
        return await prisma.ensalamento_semestral.findMany(filtros);
    }

    async findById(id){
        return await prisma.ensalamento_semestral.findUnique({where: {id_ensalamento: id}});
    }

    async create(data){
        return await prisma.ensalamento_semestral.create(data);
    }

    async delete(id){
        return await prisma.ensalamento_semestral.delete({where: {id_ensalamento: id}});
    }
}

export default new ensalamentoRepository();