import express from "express";
import salaController from "../controllers/salacontroller.js";
import autenticacaoTokenDape from "../middlewares/authDape.js"

const router = express.Router();

router
    .post("/novasala", autenticacaoTokenDape, salaController.inserir)
    .delete("/sala/:id_sala", autenticacaoTokenDape, salaController.excluir)
    .get("/sala", autenticacaoTokenDape, salaController.listar)
    .patch("/sala/:id_sala", autenticacaoTokenDape, salaController.atualizar)
    
export default router;  