import { z } from "zod";

class authDocenteSchema{
    static login = z.object(
        {
            n_siape: z.string(
                {
                    message: 'Número do siape é obrigatório e deve ser uma string!'
                }   
            ).min(1).max(200),
            senha_docente: z.string(
                {
                    message: 'Senha é obrigatório e deve ser uma string!'
                }
            ).min(1).max(200)
        }
    )
}

export default authDocenteSchema;