import prisma from "../configs/prismaClient.js";

class salaRepository{
    async findAll(filtros){
        return await prisma.sala.findMany(filtros);
    }

    async findById(id){
        return await prisma.sala.findUnique({where: {id_sala: id}});     
    }

    async create(data){
        return await prisma.sala.create({data: data});
    }

    async update(id, data){
        return await prisma.sala.update({where: id, data: data});
    }

    async delete(id){
        return await prisma.sala.delete({where: {id_sala: id}});
    }

}

export default new salaRepository();