import { z } from "zod";

class authDapeSchema{
    static login = z.object(
        {
            n_siape_dape: z.string(
                {
                    message: 'Número do siape é obrigatório e deve ser uma string!'
                }   
            ).min(1).max(20),
            senha_dape: z.string(
                {
                    message: 'Senha é obrigatório e deve ser uma string!'
                }
            ).min(1).max(50)
        }
    )
}

export default authDapeSchema;